DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS /// DOCS
API·REFERENCE·TASKS·LIST·GENERATED

List tasks

GET
/tasks
SCOPE:tasks:read

List tasks

Authentication

Requires API key with tasks:read scope.

Query parameters

NameTypeDefaultDescription
limitintegerQuery parameter.
cursorstringQuery parameter.
statusstringQuery parameter.
project_idstringQuery parameter.
assigneestringQuery parameter.

Request

(no body)

Response — 200 OK

{
  "tasks": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "example",
      "status": "backlog",
      "priority": "low",
      "project_id": "00000000-0000-0000-0000-000000000000",
      "assignee_user_id": "00000000-0000-0000-0000-000000000000",
      "assignee_bot_id": "00000000-0000-0000-0000-000000000000",
      "due_at": "2026-01-01T00:00:00.000Z",
      "event_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "next_cursor": "example"
}

Errors

StatusCodeWhen
401unauthorizedMissing or invalid API key.
403forbiddenAPI key lacks required scope.
429rate_limitedToken bucket exhausted.

Code samples

curl https://api.onnie.ai/api/public/v1/tasks \
  -H 'Authorization: Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2'
const response = await fetch('/tasks', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer onn_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6q7r8s9t0u1v2',
  },
})
const data = await response.json()
{
  "server": "onnie",
  "name": "listTasks",
  "description": "GET /tasks"
}